function [X,Y,AUC]=macro_ROC(labels,p)
k=size(p,2);
s=size(labels,1);
n=s+1;

X=zeros(k,n);
Y=zeros(k,n);
AUC=zeros(k,1);

for i=1:k
    if ismember(i,labels)
        [x,y,T,AUC(i)] = perfcurve(labels,p(:,i),i);
        xn=numel(x);
        x(xn+1:n) = 1;
        y(xn+1:n) = 1;
        X(i,:)=x;
        Y(i,:)=y;
    else
        disp('something wrong..');
    end
end

end